Freeciv-3.1: pf_fuel_node Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
pf_fuel_node Struct Reference

## Data Fields

signed int | cost
unsigned | extra_cost
unsigned | moves_left: 12
unsigned | dir_to_here: 4
unsigned | status: 3
unsigned | move_scope: 3
unsigned | action: 2
unsigned | node_known_type: 2
unsigned | behavior: 2
unsigned | zoc_number: 2
signed | moves_left_req: 13
unsigned short | extra_tile
unsigned short | cost_to_here [DIR8_MAGIC_MAX]
struct pf_fuel_pos * | pos
struct pf_fuel_pos * | segment

## Detailed Description

Definition at line 1950 of file path_finding.c.

## Field Documentation

## ◆ action

unsigned pf_fuel_node::action

Definition at line 1965 of file path_finding.c.

Referenced by pf_fuel_map_iterate(), pf_fuel_node_dangerous(), and pf_fuel_node_init().

## ◆ behavior

unsigned pf_fuel_node::behavior

Definition at line 1967 of file path_finding.c.

Referenced by pf_fuel_map_iterate(), pf_fuel_map_iterate_until(), and pf_fuel_node_init().

## ◆ cost

signed int pf_fuel_node::cost

Definition at line 1953 of file path_finding.c.

Referenced by pf_fuel_finalize_position(), pf_fuel_map_create_segment(), pf_fuel_map_iterate(), pf_fuel_map_new(), and pf_fuel_pos_replace().

## ◆ cost_to_here

unsigned short pf_fuel_node::cost_to_here[DIR8_MAGIC_MAX]

Definition at line 1976 of file path_finding.c.

Referenced by pf_fuel_map_iterate().

## ◆ dir_to_here

unsigned pf_fuel_node::dir_to_here

Definition at line 1957 of file path_finding.c.

Referenced by pf_fuel_map_create_segment(), pf_fuel_map_iterate(), pf_fuel_map_new(), and pf_fuel_pos_replace().

## ◆ extra_cost

unsigned pf_fuel_node::extra_cost

Definition at line 1955 of file path_finding.c.

Referenced by pf_fuel_map_create_segment(), pf_fuel_map_iterate(), pf_fuel_map_new(), and pf_fuel_pos_replace().

## ◆ extra_tile

unsigned short pf_fuel_node::extra_tile

Definition at line 1975 of file path_finding.c.

Referenced by pf_fuel_map_iterate(), and pf_fuel_node_init().

## ◆ move_scope

unsigned pf_fuel_node::move_scope

Definition at line 1964 of file path_finding.c.

Referenced by pf_fuel_map_iterate(), and pf_fuel_node_init().

## ◆ moves_left

unsigned pf_fuel_node::moves_left

Definition at line 1956 of file path_finding.c.

Referenced by pf_fuel_finalize_position(), pf_fuel_map_create_segment(), pf_fuel_map_iterate(), pf_fuel_map_new(), and pf_fuel_pos_replace().

## ◆ moves_left_req

signed pf_fuel_node::moves_left_req

Definition at line 1969 of file path_finding.c.

Referenced by pf_fuel_map_construct_path(), pf_fuel_map_create_segment(), pf_fuel_map_iterate(), pf_fuel_node_dangerous(), and pf_fuel_node_init().

## ◆ node_known_type

unsigned pf_fuel_node::node_known_type

Definition at line 1966 of file path_finding.c.

Referenced by pf_fuel_map_iterate(), and pf_fuel_node_init().

## ◆ pos

struct pf_fuel_pos* pf_fuel_node::pos

Definition at line 1980 of file path_finding.c.

Referenced by pf_fuel_map_create_segment(), pf_fuel_map_destroy(), pf_fuel_map_iterate(), pf_fuel_map_new(), pf_fuel_node_dangerous(), and pf_fuel_node_init().

## ◆ segment

struct pf_fuel_pos* pf_fuel_node::segment

Definition at line 1982 of file path_finding.c.

Referenced by pf_fuel_map_construct_path(), pf_fuel_map_destroy(), pf_fuel_map_fill_position(), pf_fuel_map_iterate(), pf_fuel_map_iterate_until(), pf_fuel_map_move_cost(), pf_fuel_map_new(), and pf_fuel_node_init().

## ◆ status

unsigned pf_fuel_node::status

Definition at line 1961 of file path_finding.c.

Referenced by pf_fuel_map_iterate(), pf_fuel_map_iterate_until(), pf_fuel_map_new(), and pf_fuel_node_init().

## ◆ zoc_number

unsigned pf_fuel_node::zoc_number

Definition at line 1968 of file path_finding.c.

Referenced by pf_fuel_map_iterate(), and pf_fuel_node_init().